Bug Hunting Session
Bug 42785 - FILEOPEN particular document will CRASH
Summary: FILEOPEN particular document will CRASH
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-10 05:37 UTC by Valek Filippov
Modified: 2014-12-07 14:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
(resaved file from fdo#40540) (8.32 KB, application/vnd.oasis.opendocument.text)
2011-11-10 05:37 UTC, Valek Filippov
Details
patch (5.78 KB, text/plain)
2011-11-12 03:16 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2011-11-10 05:37:29 UTC
Created attachment 53369 [details]
(resaved file from fdo#40540)

I resaved ODT file from fdo#40540 using Calligra Word (~2 months old master).
LibreOffice Writer 3.4.3 (and ~1 month old git master) silently shuts down if I try to open this file.
Comment 1 Michael Meeks 2011-11-12 01:30:24 UTC
confirmed vs. just built master.

#0  0xae69ff5b in SvxUnoTextBase::insertString(com::sun::star::uno::Reference<com::sun::star::text::XTextRange> const&, rtl::OUString const&, unsigned char) () from /data/opt/OOInstall/program/libeditenglo.so
#1  0xafc21ba0 in XMLTextImportHelper::InsertString(rtl::OUString const&, unsigned char&) ()
   from /data/opt/OOInstall/program/../program/libxolo.so
#2  0xafc40196 in ?? () from /data/opt/OOInstall/program/../program/libxolo.so
#3  0xafafca04 in SvXMLImport::characters(rtl::OUString const&) () from /data/opt/OOInstall/program/../program/libxolo.so
#4  0xaf9d17d1 in ?? () from /data/opt/OOInstall/program/../program/expwrap.uno.so
#5  0xaf9dceae in ?? () from /data/opt/OOInstall/program/../program/expwrap.uno.so
#6  0xaf9dd1fe in ?? () from /data/opt/OOInstall/program/../program/expwrap.uno.so
Comment 2 Michael Meeks 2011-11-12 03:16:45 UTC
Created attachment 53438 [details]
patch

This avoids the crash, whether it is a good idea is anyone's guess :-)
Comment 3 Michael Meeks 2011-11-15 03:11:42 UTC
<cbosdonnat> mmeeks: I had a quick look at the crasher and your patch... but I'm not sure there is much more to do

so pushed to master. Thanks for the report :-)
Comment 4 Commit Notification 2014-12-07 14:18:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9f243b1ed1314d7f5d04924e36502a8899ff13d

fdo#42785 fix crashing again with this doc in 4-4 series

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-07 14:20:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67dd8a4958404c8f6e6caaae3ecdd9d7823d3681&h=libreoffice-4-4

fdo#42785 fix crashing again with this doc in 4-4 series

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.